#!/bin/sh

killall koti_update
killall koti_deamon
killall koti_deamon_v
killall koti_gateway
killall pc_sync
killall wpa_supplicant

rmmod pwm_device
rmmod pwm_driver
rmmod sec_driver
rmmod cc1101
rmmod 8192cu

cp /work/updatefiles/work.tar.gz /userdata/download
tar -zxvf /userdata/download/work.tar.gz -C /userdata/download/

sleep 3
sync 

cp -a /userdata/download/updatefiles/*.so* /lib/
cp -a /userdata/download/backup/koti.kotix /config/user/koti.kotix
cp -a /userdata/download/backup/config.xml /config/user/config.xml
cp -a /userdata/download/backup/device.xml /config/user/device.xml
cp -a /userdata/download/backup/koti.kotix /recovery/koti.kotix
cp -a /userdata/download/updatefiles/rc.start /ect/rc.d/rc.start
cp -a /userdata/download/updatefiles/upload_tar.sh /config/sys/upload_tar.sh

chmod 777 /ect/rc.d/rc.start
chmod 777 /config/sys/upload_tar.sh

rm -rf /work/*
sync
umount /work
ubirmvol /dev/ubi0 -n 1
ubirmkvol /dev/ubi0 -n 1 -N work -s 10MiB
mount -t ubi0:work /work
tar -zxvf /userdata/download/work.tar.gz -C /work

sleep 3
sync 
rm -rf /userdata/download/*
sync
reboot
